uulib-0.9.24: Haskell Utrecht Tools Library

Safe Haskell | Safe-Inferred
Language | Haskell98

UU.Scanner.Token

# Documentation

type Token = GenToken String EnumValToken String Source #

data EnumValToken Source #

Constructors

TkVarid |
TkConid |
TkString |
TkChar |
TkInteger8 |
TkInteger10 |
TkInteger16 |
TkFraction |
TkTextnm |
TkTextln |
TkOp |
TkConOp |
TkError |

#### Instances

Instances details

Show EnumValToken Source # |
Instance details Defined in UU.Scanner.TokenShow Methods showsPrec :: Int -> EnumValToken -> ShowS Source # show :: EnumValToken -> String Source # showList :: [EnumValToken] -> ShowS Source #
Show Token Source # |
Instance details Defined in UU.Scanner.TokenShow Methods showsPrec :: Int -> Token -> ShowS Source # show :: Token -> String Source # showList :: [Token] -> ShowS Source #
Eq EnumValToken Source # |
Instance details Defined in UU.Scanner.Token Methods (==) :: EnumValToken -> EnumValToken -> Bool Source # (/=) :: EnumValToken -> EnumValToken -> Bool Source #
Ord EnumValToken Source # |

Instance details

Defined in UU.Scanner.Token

Methods

compare :: EnumValToken -> EnumValToken -> Ordering Source #

(<) :: EnumValToken -> EnumValToken -> Bool Source #

(<=) :: EnumValToken -> EnumValToken -> Bool Source #

(>) :: EnumValToken -> EnumValToken -> Bool Source #

(>=) :: EnumValToken -> EnumValToken -> Bool Source #

max :: EnumValToken -> EnumValToken -> EnumValToken Source #

min :: EnumValToken -> EnumValToken -> EnumValToken Source #

reserved :: String -> Pos -> Token Source #

valueToken :: EnumValToken -> String -> Pos -> Token Source #

errToken :: String -> Pos -> Token Source #